org.tmatesoft.svn.core.auth

## Class SVNSSLAuthentication

- java.lang.Object
- - org.tmatesoft.svn.core.auth.SVNAuthentication
  - - org.tmatesoft.svn.core.auth.SVNSSLAuthentication

    public class SVNSSLAuthentication
    extends SVNAuthentication

The SVNSSLAuthentication class represents user's credentials used to authenticate a user in secure connections. Used along with the `SSL` credential kind.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

### Field Summary

Fields
`static java.lang.String` `MSCAPI`
`static java.lang.String` `SSL`

### Constructor Summary

Constructors
Constructor and Description
`SVNSSLAuthentication(java.io.File certFile, java.lang.String password, boolean storageAllowed)` Deprecated. use constructor with SVNURL parameter instead
`SVNSSLAuthentication(java.io.File certFile, java.lang.String password, boolean storageAllowed, SVNURL url, boolean isPartial)` Creates an SSL credentials object.
`SVNSSLAuthentication(java.lang.String sslKind, java.lang.String alias, boolean storageAllowed, SVNURL url, boolean isPartial)`

### Method Summary

Methods
`java.lang.String` `getAlias()` Only used for MSCAPI
`java.io.File` `getCertificateFile()` Returns a user's certificate file.
`java.lang.String` `getCertificatePath()`
`java.lang.String` `getPassword()` Return a user's password.
`java.lang.String` `getSSLKind()`
`static boolean` `isCertificatePath(java.lang.String path)`
`void` `setCertificatePath(java.lang.String path)`

### Methods inherited from class org.tmatesoft.svn.core.auth.SVNAuthentication

`getKind, getURL, getUserName, isPartial, isStorageAllowed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MSCAPI

    public static final java.lang.String MSCAPI

See Also:
  Constant Field Values

#### SSL

    public static final java.lang.String SSL

See Also:
  Constant Field Values

### Constructor Detail

#### SVNSSLAuthentication

    public SVNSSLAuthentication(java.io.File certFile,
                        java.lang.String password,
                        boolean storageAllowed)

Deprecated. use constructor with SVNURL parameter instead
Creates an SSL credentials object.

Parameters:
  `certFile` - user's certificate file
  `password` - user's password
  `storageAllowed` - to store or not this credential in a credentials cache

#### SVNSSLAuthentication

    public SVNSSLAuthentication(java.io.File certFile,
                        java.lang.String password,
                        boolean storageAllowed,
                        SVNURL url,
                        boolean isPartial)

Creates an SSL credentials object.

Parameters:
  `certFile` - user's certificate file
  `password` - user's password
  `storageAllowed` - to store or not this credential in a credentials cache
  `url` - url these credentials are applied to
Since:
  1.3.1

#### SVNSSLAuthentication

    public SVNSSLAuthentication(java.lang.String sslKind,
                        java.lang.String alias,
                        boolean storageAllowed,
                        SVNURL url,
                        boolean isPartial)

### Method Detail

#### getPassword

    public java.lang.String getPassword()

Return a user's password.

Returns:
  a password

#### getCertificateFile

    public java.io.File getCertificateFile()

Returns a user's certificate file.

Returns:
  certificate file

#### getSSLKind

    public java.lang.String getSSLKind()

#### getAlias

    public java.lang.String getAlias()

Only used for MSCAPI

#### getCertificatePath

    public java.lang.String getCertificatePath()

#### setCertificatePath

    public void setCertificatePath(java.lang.String path)

#### isCertificatePath

    public static boolean isCertificatePath(java.lang.String path)